#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m;

    cin >> n >> m;

    int druzaljubivost[n];

    for(int i = 0; i < n; i++)
    {
        cin >> druzaljubivost[i];
    }

    int sreca = 0;

    for(int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        x--;
        y--;

        int neprijateljx = -1 * druzaljubivost[x];
        int neprijateljy = -1 * druzaljubivost[y];

        int prijateljx = druzaljubivost[x];
        int prijateljy = druzaljubivost[y];

        sreca += max(neprijateljx + neprijateljy, prijateljx + prijateljy); 
    }

    cout << sreca;

    return 0;
}